<template>
 <div id="edit">
  <div class="container">
      <br />
      <hr />

      <div class="row">
        <div class="col offset-md-1">
          <form id="form_create_appointment">
            <div class="form-row">
              <div class="col form-group">
                <label class="required">starttime</label>
                <input
                  v-model="start"
                  class="form-control date-input"
                  type=""
                  id="date"
                  data-trigger="hover"
                  data-toggle="popover"
                  title="Date"
                  data-content="You can select any date from today clicking on the number in the calendar"
                  required
                />
              </div>
             
            </div>
            <div class="form-row">
              <div class="col form-group">
                <label class="required">endtimee</label>
                <input
                  v-model="end"
                  class="form-control time-input"
                  type=""
                  id="start_time"
                  required
                />
              </div>
               </div>
               <div class="col form-group">
                <label>Type</label>
                <select
                  v-model="title"
                  class="form-control"
                  id="description"
                >
                  <option value="Cortar pello">Cortar pello</option>
                  <option value="Cortar barba">Cortar barba</option>
                  <option value="Cortar pello y barba"
                    >Cortar pello y barba</option
                  >
                </select>
              </div>
               <div class="col form-group">
                <label>Type</label>
                <select
                  v-model="title"
                  class="form-control"
                  id="description"
                >
                  <option><i class="v-icon matl-icons">Cortar pello</i></option>
                  <option><i class="v-icon matl-icons">Cortar barba</i></option>
                  <option><i class="v-icon matl-icons">Cortar pello y barba</i></option>
                </select>
              </div>
               <div class="form-row">
              <div class="col form-group">
                <label class="required">class</label>
                <input
                  v-model="classe"
                  class="form-control time-input"
                  type=""
                  id="start_time"
                  required
                />
                 </div>
                </div>
            <div class="form-row">
              <div class="col form-group">
                <button
                  type="button"
                  class="btn btn-warning btn-block"
                  id="clear"
                  onclick="clear_input()"
                >
                  Clear Form
                </button>
              </div>
              <div class="col form-group"></div>

             <button   @click="btnConfermEdit" type="button" class="btn btn-primary">Registre</button>
            </div>
          </form>
        </div>
    </div>
    </div>
                  
            </div>
             </template>
            
 
<script>
export default {
  name: "EditAppointment",
  props:{
     events: {
      propType: Object,
      required: true
    }
  },
   methods: {
    btnConfermEdit() {
      this.$emit("btn-conferm-edit", this.events);
    }
  }
};
</script>

<style scoped>
